package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppPets;

/**
 * 宠物信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppPetsMapper 
{
    /**
     * 查询宠物信息
     * 
     * @param petId 宠物信息主键
     * @return 宠物信息
     */
    public AppPets selectAppPetsByPetId(Long petId);

    /**
     * 查询宠物信息列表
     * 
     * @param appPets 宠物信息
     * @return 宠物信息集合
     */
    public List<AppPets> selectAppPetsList(AppPets appPets);

    /**
     * 新增宠物信息
     * 
     * @param appPets 宠物信息
     * @return 结果
     */
    public int insertAppPets(AppPets appPets);

    /**
     * 修改宠物信息
     * 
     * @param appPets 宠物信息
     * @return 结果
     */
    public int updateAppPets(AppPets appPets);

    /**
     * 删除宠物信息
     * 
     * @param petId 宠物信息主键
     * @return 结果
     */
    public int deleteAppPetsByPetId(Long petId);

    /**
     * 批量删除宠物信息
     * 
     * @param petIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppPetsByPetIds(Long[] petIds);

    /**
     * 查询宠物信息列表
     *
     * @return 宠物信息集合
     */
    public List<AppPets> getAppPetsList();
}
